#!/bin/sh

# An example, how to set PLL bank 1 divider to 75,000000000
# Prescaler 1 (26 MHz crystal)
# Local Oscillator 1950 MHz
# Output frequency 482 MHz
# Input frequency WiFi channel to 5 (2.432 GHz)

# Enable RF-Switch     
ant_ctrl.sh 

# Disable radio.
uci set wireless.radio0.disabled=1
uci commit

wifi

# Enable analog side of the RF205x to prepare programming status
# enable-tvws-LO.sh


# Disable analog domain of RF205x
# disable-tvws-LO.sh
                        
# Switch module on, set reset pin to high.
# enable-tvws-module.sh  
                       
# Enable full duplex   
three-wire.sh w 00 91C2
 
# Select VCO1
three-wire.sh w 08 301F

# Now configuring PLL bank 1 

# Write zeros into MSB 16 bit of fractional divider ratio
three-wire.sh w 09 0000

# Write zeros into LSB 8 bit of fractional divider ratio
three-wire.sh w 0A 007E

# Configure integer divider ratio (75)
# Set Wifi channel to 5 for 482MHz Local oscillator 1950 MHz
three-wire.sh w 0B 2582

# Configure integer divider ratio (77)
# Set Wifi channel to 14 for 482MHz Local oscillator 2002 MHz
#three-wire.sh w 0B 2682


# Increase mixer current

three-wire.sh w 01 CC58

# Calibration for this specific board -copy from other board!                  
three-wire.sh w 03 1B0F    

# Enable analog side of the RF205x

enable-tvws-LO.sh
sleep 1 
disable-tvws-LO.sh
# Select pll bank 1                                      
select-pll1.sh
sleep 1
enable-tvws-LO.sh

# Enable radio
uci set wireless.radio0.disabled=0
uci commit

wifi

